ocilib::CollectionElement< T > Class Template Reference

Class used for handling transient collection value. it is used internally by the Collection<T> class: More...

`#include <ocilib.hpp>`

## Detailed Description

### template<class T>
class ocilib::CollectionElement< T >

Class used for handling transient collection value. it is used internally by the Collection<T> class:

- the Collection<> indexer operator in order to provide lvalue for read/write access
- the CollectionIterator class

Definition at line 4899 of file ocilib.hpp.